Skip to main content
Folders are available on Pro plans and above.

Authentication

This endpoint requires authentication using a Bearer token.
curl -X POST https://api.dub.co/folders \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Marketing Campaigns",
    "description": "Links for marketing campaigns",
    "accessLevel": "write"
  }'

Request Body

name
string
required
The name of the folder.Maximum length: 190 characters
description
string
The description of the folder.Maximum length: 500 characters
accessLevel
string
The access level of the folder within the workspace.Options: write, read, noneNote: Changing access level requires Business plan or above.

Response

id
string
The unique ID of the folder.
name
string
The name of the folder.
description
string | null
The description of the folder.
type
string
The type of the folder.
accessLevel
string | null
The access level of the folder within the workspace.
createdAt
date
The date the folder was created.
updatedAt
date
The date the folder was updated.
{
  "id": "fold_abc123",
  "name": "Marketing Campaigns",
  "description": "Links for marketing campaigns",
  "type": "folder",
  "accessLevel": "write",
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-01T00:00:00.000Z"
}

Build docs developers (and LLMs) love